### Enumeration

# Pos InputMethodPurpose

since: 0

#### Declaration

    enum Pos.InputMethodPurpose

#### Description [src]

Input purpose as specified by text input protocol.

Available since: 0

#### Members

`POS_INPUT_METHOD_PURPOSE_NORMAL`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_ALPHA`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_DIGITS`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_NUMBER`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_PHONE`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_URL`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_EMAIL`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_NAME`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_PASSWORD`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_PIN`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_DATE`
  No description available.
  - Value: `10`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_TIME`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_DATETIME`
  No description available.
  - Value: `12`
  - Nickname: `None`
  - Available since: 0
`POS_INPUT_METHOD_PURPOSE_TERMINAL`
  No description available.
  - Value: `13`
  - Nickname: `None`
  - Available since: 0